XScreenSaver(1)

NAME
Eruption.

SYNOPSIS
Eruption [-display host:display.screen] [-visual visual] [-window] [-root] [-ncolors number] [-nParticles number] [-Heat number] [-Cooling number] [-Gravity number] [-delay number] [-cycles number]

DESCRIPTION
This hack creates an eruption of pieces of hot volcanic rock. Ported from the demo effects collection (http://demo-effects.sourceforge.net)

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-ncolors number
    Number of Colors. Default: 256.

-particles number
    Number of Particles. Default: 300.

-cooloff number
    Eruption Cooloff. Default: 2.

-heat number
    Heat of Eruption. Default: 256.

-gravity number
    Gravity. Default: 1.

-delay number
    Per-frame delay, in microseconds. Default: 5000 (0.01 seconds.).

-cycles number
    Duration. 10 - 3000. Default: 80.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002-2003 by W.P. van Paassen. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the
    suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
W.P. van Paassen